# VectorNav C++ Library: vn::sensors::VpeGyroBasicTuningRegister Struct Reference

vn::sensors::VpeGyroBasicTuningRegister Struct Reference
Register Structures

Structure representing the VPE Gyro Basic Tuning register. More...

`#include <registers.h>`

## Public Member Functions

| VpeGyroBasicTuningRegister (vn::math::vec3f angularWalkVarianceIn, vn::math::vec3f baseTuningIn, vn::math::vec3f adaptiveTuningIn)
| Creates an initializes a new VpeGyroBasicTuningRegister structure. More...

## Public Attributes

vn::math::vec3f | angularWalkVariance
| The angularWalkVariance field.
vn::math::vec3f | baseTuning
| The baseTuning field.
vn::math::vec3f | adaptiveTuning
| The adaptiveTuning field.

## Detailed Description

Structure representing the VPE Gyro Basic Tuning register.

## Constructor & Destructor Documentation

vn::sensors::VpeGyroBasicTuningRegister::VpeGyroBasicTuningRegister | ( | vn::math::vec3f | angularWalkVarianceIn,
|  | vn::math::vec3f | baseTuningIn,
|  | vn::math::vec3f | adaptiveTuningIn
| ) |  |

inline

Creates an initializes a new VpeGyroBasicTuningRegister structure.

Parameters

  [in] | angularWalkVarianceIn | Value to initialize the angularWalkVariance field with.
  [in] | baseTuningIn | Value to initialize the baseTuning field with.
  [in] | adaptiveTuningIn | Value to initialize the adaptiveTuning field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h